package com.mortals.xhx.module.hik.face.model;

import java.util.List;

/**
* 人员识别计划信息查询对象
*
* @author zxfei
* @date 2023-04-15
*/
public class FacePlanQuery extends FacePlanEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 主键ID排除列表 */
    private List <Long> idNotList;

    /** 重点人员计划 */
    private List<String> indexCodeList;

    /** 重点人员计划排除列表 */
    private List <String> indexCodeNotList;
    /** 名称 */
    private List<String> nameList;

    /** 名称排除列表 */
    private List <String> nameNotList;
    /** 人脸分组的唯一标识集合，逗号分割 */
    private List<String> faceGroupIndexCodesList;

    /** 人脸分组的唯一标识集合，逗号分割排除列表 */
    private List <String> faceGroupIndexCodesNotList;
    /** 人脸分组的唯一标识集合，逗号分割 */
    private List<String> cameraIndexCodesList;

    /** 人脸分组的唯一标识集合，逗号分割排除列表 */
    private List <String> cameraIndexCodesNotList;
    /** 识别资源的唯一标识集合，逗号分割 */
    private List<String> recognitionResourceIndexCodesList;

    /** 识别资源的唯一标识集合，逗号分割排除列表 */
    private List <String> recognitionResourceIndexCodesNotList;
    /** 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸 */
    private List<String> recognitionResourceTypeList;

    /** 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸排除列表 */
    private List <String> recognitionResourceTypeNotList;
    /** 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划) */
    private List<String> recognitionPlanTypeList;

    /** 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)排除列表 */
    private List <String> recognitionPlanTypeNotList;
    /** 状态 */
    private List<String> statusList;

    /** 状态排除列表 */
    private List <String> statusNotList;
    /** 是否启用,true:启用,false:禁用 */
    private List<String> availableList;

    /** 是否启用,true:启用,false:禁用排除列表 */
    private List <String> availableNotList;
    /** 描述 */
    private List<String> descriptionList;

    /** 描述排除列表 */
    private List <String> descriptionNotList;
    /** 开始 启用时间 */
    private String startTimeStart;

    /** 结束 启用时间 */
    private String startTimeEnd;

    /** 开始 启用时间 */
    private Long usingTimeStart;

    /** 结束 启用时间 */
    private Long usingTimeEnd;

    /** 增加 启用时间 */
    private Long usingTimeIncrement;

    /** 启用时间列表 */
    private List <Long> usingTimeList;

    /** 启用时间排除列表 */
    private List <Long> usingTimeNotList;

    /** 开始 阈值 0-100 */
    private Integer thresholdStart;

    /** 结束 阈值 0-100 */
    private Integer thresholdEnd;

    /** 增加 阈值 0-100 */
    private Integer thresholdIncrement;

    /** 阈值 0-100列表 */
    private List <Integer> thresholdList;

    /** 阈值 0-100排除列表 */
    private List <Integer> thresholdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FacePlanQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FacePlanQuery> andConditionList;

    public FacePlanQuery(){}

    /**
    * 获取 开始 主键ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 重点人员计划
    * @return indexCodeList
    */
    public List<String> getIndexCodeList(){
        return this.indexCodeList;
    }

    /**
    * 设置 重点人员计划
    * @param indexCodeList
    */
    public void setIndexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
    }

    /**
    * 获取 重点人员计划
    * @return indexCodeNotList
    */
    public List<String> getIndexCodeNotList(){
        return this.indexCodeNotList;
    }

    /**
    * 设置 重点人员计划
    * @param indexCodeNotList
    */
    public void setIndexCodeNotList(List<String> indexCodeNotList){
        this.indexCodeNotList = indexCodeNotList;
    }

    /**
    * 获取 名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 人脸分组的唯一标识集合，逗号分割
    * @return faceGroupIndexCodesList
    */
    public List<String> getFaceGroupIndexCodesList(){
        return this.faceGroupIndexCodesList;
    }

    /**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param faceGroupIndexCodesList
    */
    public void setFaceGroupIndexCodesList(List<String> faceGroupIndexCodesList){
        this.faceGroupIndexCodesList = faceGroupIndexCodesList;
    }

    /**
    * 获取 人脸分组的唯一标识集合，逗号分割
    * @return faceGroupIndexCodesNotList
    */
    public List<String> getFaceGroupIndexCodesNotList(){
        return this.faceGroupIndexCodesNotList;
    }

    /**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param faceGroupIndexCodesNotList
    */
    public void setFaceGroupIndexCodesNotList(List<String> faceGroupIndexCodesNotList){
        this.faceGroupIndexCodesNotList = faceGroupIndexCodesNotList;
    }

    /**
    * 获取 人脸分组的唯一标识集合，逗号分割
    * @return cameraIndexCodesList
    */
    public List<String> getCameraIndexCodesList(){
        return this.cameraIndexCodesList;
    }

    /**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param cameraIndexCodesList
    */
    public void setCameraIndexCodesList(List<String> cameraIndexCodesList){
        this.cameraIndexCodesList = cameraIndexCodesList;
    }

    /**
    * 获取 人脸分组的唯一标识集合，逗号分割
    * @return cameraIndexCodesNotList
    */
    public List<String> getCameraIndexCodesNotList(){
        return this.cameraIndexCodesNotList;
    }

    /**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param cameraIndexCodesNotList
    */
    public void setCameraIndexCodesNotList(List<String> cameraIndexCodesNotList){
        this.cameraIndexCodesNotList = cameraIndexCodesNotList;
    }

    /**
    * 获取 识别资源的唯一标识集合，逗号分割
    * @return recognitionResourceIndexCodesList
    */
    public List<String> getRecognitionResourceIndexCodesList(){
        return this.recognitionResourceIndexCodesList;
    }

    /**
    * 设置 识别资源的唯一标识集合，逗号分割
    * @param recognitionResourceIndexCodesList
    */
    public void setRecognitionResourceIndexCodesList(List<String> recognitionResourceIndexCodesList){
        this.recognitionResourceIndexCodesList = recognitionResourceIndexCodesList;
    }

    /**
    * 获取 识别资源的唯一标识集合，逗号分割
    * @return recognitionResourceIndexCodesNotList
    */
    public List<String> getRecognitionResourceIndexCodesNotList(){
        return this.recognitionResourceIndexCodesNotList;
    }

    /**
    * 设置 识别资源的唯一标识集合，逗号分割
    * @param recognitionResourceIndexCodesNotList
    */
    public void setRecognitionResourceIndexCodesNotList(List<String> recognitionResourceIndexCodesNotList){
        this.recognitionResourceIndexCodesNotList = recognitionResourceIndexCodesNotList;
    }

    /**
    * 获取 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸
    * @return recognitionResourceTypeList
    */
    public List<String> getRecognitionResourceTypeList(){
        return this.recognitionResourceTypeList;
    }

    /**
    * 设置 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸
    * @param recognitionResourceTypeList
    */
    public void setRecognitionResourceTypeList(List<String> recognitionResourceTypeList){
        this.recognitionResourceTypeList = recognitionResourceTypeList;
    }

    /**
    * 获取 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸
    * @return recognitionResourceTypeNotList
    */
    public List<String> getRecognitionResourceTypeNotList(){
        return this.recognitionResourceTypeNotList;
    }

    /**
    * 设置 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸
    * @param recognitionResourceTypeNotList
    */
    public void setRecognitionResourceTypeNotList(List<String> recognitionResourceTypeNotList){
        this.recognitionResourceTypeNotList = recognitionResourceTypeNotList;
    }

    /**
    * 获取 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)
    * @return recognitionPlanTypeList
    */
    public List<String> getRecognitionPlanTypeList(){
        return this.recognitionPlanTypeList;
    }

    /**
    * 设置 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)
    * @param recognitionPlanTypeList
    */
    public void setRecognitionPlanTypeList(List<String> recognitionPlanTypeList){
        this.recognitionPlanTypeList = recognitionPlanTypeList;
    }

    /**
    * 获取 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)
    * @return recognitionPlanTypeNotList
    */
    public List<String> getRecognitionPlanTypeNotList(){
        return this.recognitionPlanTypeNotList;
    }

    /**
    * 设置 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)
    * @param recognitionPlanTypeNotList
    */
    public void setRecognitionPlanTypeNotList(List<String> recognitionPlanTypeNotList){
        this.recognitionPlanTypeNotList = recognitionPlanTypeNotList;
    }

    /**
    * 获取 状态
    * @return statusList
    */
    public List<String> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态
    * @param statusList
    */
    public void setStatusList(List<String> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 状态
    * @return statusNotList
    */
    public List<String> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 状态
    * @param statusNotList
    */
    public void setStatusNotList(List<String> statusNotList){
        this.statusNotList = statusNotList;
    }

    /**
    * 获取 是否启用,true:启用,false:禁用
    * @return availableList
    */
    public List<String> getAvailableList(){
        return this.availableList;
    }

    /**
    * 设置 是否启用,true:启用,false:禁用
    * @param availableList
    */
    public void setAvailableList(List<String> availableList){
        this.availableList = availableList;
    }

    /**
    * 获取 是否启用,true:启用,false:禁用
    * @return availableNotList
    */
    public List<String> getAvailableNotList(){
        return this.availableNotList;
    }

    /**
    * 设置 是否启用,true:启用,false:禁用
    * @param availableNotList
    */
    public void setAvailableNotList(List<String> availableNotList){
        this.availableNotList = availableNotList;
    }

    /**
    * 获取 描述
    * @return descriptionList
    */
    public List<String> getDescriptionList(){
        return this.descriptionList;
    }

    /**
    * 设置 描述
    * @param descriptionList
    */
    public void setDescriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
    }

    /**
    * 获取 描述
    * @return descriptionNotList
    */
    public List<String> getDescriptionNotList(){
        return this.descriptionNotList;
    }

    /**
    * 设置 描述
    * @param descriptionNotList
    */
    public void setDescriptionNotList(List<String> descriptionNotList){
        this.descriptionNotList = descriptionNotList;
    }

    /**
    * 获取 开始 启用时间
    * @return startTimeStart
    */
    public String getStartTimeStart(){
        return this.startTimeStart;
    }

    /**
    * 设置 开始 启用时间
    * @param startTimeStart
    */
    public void setStartTimeStart(String startTimeStart){
        this.startTimeStart = startTimeStart;
    }

    /**
    * 获取 结束 启用时间
    * @return startTimeEnd
    */
    public String getStartTimeEnd(){
        return this.startTimeEnd;
    }

    /**
    * 设置 结束 启用时间
    * @param startTimeEnd
    */
    public void setStartTimeEnd(String startTimeEnd){
        this.startTimeEnd = startTimeEnd;
    }

    /**
    * 获取 开始 启用时间
    * @return usingTimeStart
    */
    public Long getUsingTimeStart(){
        return this.usingTimeStart;
    }

    /**
    * 设置 开始 启用时间
    * @param usingTimeStart
    */
    public void setUsingTimeStart(Long usingTimeStart){
        this.usingTimeStart = usingTimeStart;
    }

    /**
    * 获取 结束 启用时间
    * @return $usingTimeEnd
    */
    public Long getUsingTimeEnd(){
        return this.usingTimeEnd;
    }

    /**
    * 设置 结束 启用时间
    * @param usingTimeEnd
    */
    public void setUsingTimeEnd(Long usingTimeEnd){
        this.usingTimeEnd = usingTimeEnd;
    }

    /**
    * 获取 增加 启用时间
    * @return usingTimeIncrement
    */
    public Long getUsingTimeIncrement(){
        return this.usingTimeIncrement;
    }

    /**
    * 设置 增加 启用时间
    * @param usingTimeIncrement
    */
    public void setUsingTimeIncrement(Long usingTimeIncrement){
        this.usingTimeIncrement = usingTimeIncrement;
    }

    /**
    * 获取 启用时间
    * @return usingTimeList
    */
    public List<Long> getUsingTimeList(){
        return this.usingTimeList;
    }

    /**
    * 设置 启用时间
    * @param usingTimeList
    */
    public void setUsingTimeList(List<Long> usingTimeList){
        this.usingTimeList = usingTimeList;
    }

    /**
    * 获取 启用时间
    * @return usingTimeNotList
    */
    public List<Long> getUsingTimeNotList(){
        return this.usingTimeNotList;
    }

    /**
    * 设置 启用时间
    * @param usingTimeNotList
    */
    public void setUsingTimeNotList(List<Long> usingTimeNotList){
        this.usingTimeNotList = usingTimeNotList;
    }


    /**
    * 获取 开始 阈值 0-100
    * @return thresholdStart
    */
    public Integer getThresholdStart(){
        return this.thresholdStart;
    }

    /**
    * 设置 开始 阈值 0-100
    * @param thresholdStart
    */
    public void setThresholdStart(Integer thresholdStart){
        this.thresholdStart = thresholdStart;
    }

    /**
    * 获取 结束 阈值 0-100
    * @return $thresholdEnd
    */
    public Integer getThresholdEnd(){
        return this.thresholdEnd;
    }

    /**
    * 设置 结束 阈值 0-100
    * @param thresholdEnd
    */
    public void setThresholdEnd(Integer thresholdEnd){
        this.thresholdEnd = thresholdEnd;
    }

    /**
    * 获取 增加 阈值 0-100
    * @return thresholdIncrement
    */
    public Integer getThresholdIncrement(){
        return this.thresholdIncrement;
    }

    /**
    * 设置 增加 阈值 0-100
    * @param thresholdIncrement
    */
    public void setThresholdIncrement(Integer thresholdIncrement){
        this.thresholdIncrement = thresholdIncrement;
    }

    /**
    * 获取 阈值 0-100
    * @return thresholdList
    */
    public List<Integer> getThresholdList(){
        return this.thresholdList;
    }

    /**
    * 设置 阈值 0-100
    * @param thresholdList
    */
    public void setThresholdList(List<Integer> thresholdList){
        this.thresholdList = thresholdList;
    }

    /**
    * 获取 阈值 0-100
    * @return thresholdNotList
    */
    public List<Integer> getThresholdNotList(){
        return this.thresholdNotList;
    }

    /**
    * 设置 阈值 0-100
    * @param thresholdNotList
    */
    public void setThresholdNotList(List<Integer> thresholdNotList){
        this.thresholdNotList = thresholdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID
    * @param id
    */
    public FacePlanQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public FacePlanQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public FacePlanQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public FacePlanQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public FacePlanQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID
        * @param idNotList
        */
        public FacePlanQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 重点人员计划
    * @param indexCode
    */
    public FacePlanQuery indexCode(String indexCode){
        setIndexCode(indexCode);
		return this;
    }

    /**
    * 设置 重点人员计划
    * @param indexCodeList
    */
    public FacePlanQuery indexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
		return this;
    }


	/**
    * 设置 名称
    * @param name
    */
    public FacePlanQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public FacePlanQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param faceGroupIndexCodes
    */
    public FacePlanQuery faceGroupIndexCodes(String faceGroupIndexCodes){
        setFaceGroupIndexCodes(faceGroupIndexCodes);
		return this;
    }

    /**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param faceGroupIndexCodesList
    */
    public FacePlanQuery faceGroupIndexCodesList(List<String> faceGroupIndexCodesList){
        this.faceGroupIndexCodesList = faceGroupIndexCodesList;
		return this;
    }


	/**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param cameraIndexCodes
    */
    public FacePlanQuery cameraIndexCodes(String cameraIndexCodes){
        setCameraIndexCodes(cameraIndexCodes);
		return this;
    }

    /**
    * 设置 人脸分组的唯一标识集合，逗号分割
    * @param cameraIndexCodesList
    */
    public FacePlanQuery cameraIndexCodesList(List<String> cameraIndexCodesList){
        this.cameraIndexCodesList = cameraIndexCodesList;
		return this;
    }


	/**
    * 设置 识别资源的唯一标识集合，逗号分割
    * @param recognitionResourceIndexCodes
    */
    public FacePlanQuery recognitionResourceIndexCodes(String recognitionResourceIndexCodes){
        setRecognitionResourceIndexCodes(recognitionResourceIndexCodes);
		return this;
    }

    /**
    * 设置 识别资源的唯一标识集合，逗号分割
    * @param recognitionResourceIndexCodesList
    */
    public FacePlanQuery recognitionResourceIndexCodesList(List<String> recognitionResourceIndexCodesList){
        this.recognitionResourceIndexCodesList = recognitionResourceIndexCodesList;
		return this;
    }


	/**
    * 设置 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸
    * @param recognitionResourceType
    */
    public FacePlanQuery recognitionResourceType(String recognitionResourceType){
        setRecognitionResourceType(recognitionResourceType);
		return this;
    }

    /**
    * 设置 识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸
    * @param recognitionResourceTypeList
    */
    public FacePlanQuery recognitionResourceTypeList(List<String> recognitionResourceTypeList){
        this.recognitionResourceTypeList = recognitionResourceTypeList;
		return this;
    }


	/**
    * 设置 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)
    * @param recognitionPlanType
    */
    public FacePlanQuery recognitionPlanType(String recognitionPlanType){
        setRecognitionPlanType(recognitionPlanType);
		return this;
    }

    /**
    * 设置 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)
    * @param recognitionPlanTypeList
    */
    public FacePlanQuery recognitionPlanTypeList(List<String> recognitionPlanTypeList){
        this.recognitionPlanTypeList = recognitionPlanTypeList;
		return this;
    }


	/**
    * 设置 状态
    * @param status
    */
    public FacePlanQuery status(String status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 状态
    * @param statusList
    */
    public FacePlanQuery statusList(List<String> statusList){
        this.statusList = statusList;
		return this;
    }


	/**
    * 设置 是否启用,true:启用,false:禁用
    * @param available
    */
    public FacePlanQuery available(String available){
        setAvailable(available);
		return this;
    }

    /**
    * 设置 是否启用,true:启用,false:禁用
    * @param availableList
    */
    public FacePlanQuery availableList(List<String> availableList){
        this.availableList = availableList;
		return this;
    }


	/**
    * 设置 描述
    * @param description
    */
    public FacePlanQuery description(String description){
        setDescription(description);
		return this;
    }

    /**
    * 设置 描述
    * @param descriptionList
    */
    public FacePlanQuery descriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
		return this;
    }


    /**
    * 设置  启用时间
    * @param usingTime
    */
    public FacePlanQuery usingTime(Long usingTime){
	    setUsingTime(usingTime);
		return this;
    }
	
	 /**
    * 设置 开始 启用时间
    * @param usingTimeStart
    */
    public FacePlanQuery usingTimeStart(Long usingTimeStart){
		this.usingTimeStart = usingTimeStart;
		return this;
    }

    /**
    * 设置 结束 启用时间
    * @param usingTimeEnd
    */
    public FacePlanQuery usingTimeEnd(Long usingTimeEnd){
		this.usingTimeEnd = usingTimeEnd;
		return this;
    }

    /**
    * 设置 增加 启用时间
    * @param usingTimeIncrement
    */
    public FacePlanQuery usingTimeIncrement(Long usingTimeIncrement){
		this.usingTimeIncrement = usingTimeIncrement;
		return this;
    }

    /**
    * 设置 启用时间
    * @param usingTimeList
    */
    public FacePlanQuery usingTimeList(List<Long> usingTimeList){
        this.usingTimeList = usingTimeList;
		return this;
        }

        /**
        * 设置 启用时间
        * @param usingTimeNotList
        */
        public FacePlanQuery usingTimeNotList(List<Long> usingTimeNotList){
        this.usingTimeNotList = usingTimeNotList;
        return this;
        }

    /**
    * 设置  阈值 0-100
    * @param threshold
    */
    public FacePlanQuery threshold(Integer threshold){
	    setThreshold(threshold);
		return this;
    }
	
	 /**
    * 设置 开始 阈值 0-100
    * @param thresholdStart
    */
    public FacePlanQuery thresholdStart(Integer thresholdStart){
		this.thresholdStart = thresholdStart;
		return this;
    }

    /**
    * 设置 结束 阈值 0-100
    * @param thresholdEnd
    */
    public FacePlanQuery thresholdEnd(Integer thresholdEnd){
		this.thresholdEnd = thresholdEnd;
		return this;
    }

    /**
    * 设置 增加 阈值 0-100
    * @param thresholdIncrement
    */
    public FacePlanQuery thresholdIncrement(Integer thresholdIncrement){
		this.thresholdIncrement = thresholdIncrement;
		return this;
    }

    /**
    * 设置 阈值 0-100
    * @param thresholdList
    */
    public FacePlanQuery thresholdList(List<Integer> thresholdList){
        this.thresholdList = thresholdList;
		return this;
        }

        /**
        * 设置 阈值 0-100
        * @param thresholdNotList
        */
        public FacePlanQuery thresholdNotList(List<Integer> thresholdNotList){
        this.thresholdNotList = thresholdNotList;
        return this;
        }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public FacePlanQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public FacePlanQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public FacePlanQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public FacePlanQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public FacePlanQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public FacePlanQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public FacePlanQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public FacePlanQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public FacePlanQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public FacePlanQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public FacePlanQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public FacePlanQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FacePlanQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FacePlanQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FacePlanQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FacePlanQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}